Bug 166196 - Review Request: perl-Class-DBI-mysql : Extensions to Class::DBI for MySQL
Review Request: perl-Class-DBI-mysql : Extensions to Class::DBI for MySQL
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Howarth
David Lawrence
http://search.cpan.org/dist/Class-DBI...
:
Depends On: 166184
Blocks: FE-ACCEPT 166188 166203
  Show dependency treegraph
 
Reported: 2005-08-17 16:42 EDT by Tom "spot" Callaway
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-07 14:50:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch addressing review issues (1.49 KB, patch)
2005-09-02 06:03 EDT, Paul Howarth
no flags Details | Diff

  None (edit)
Description Tom "spot" Callaway 2005-08-17 16:42:15 EDT
Spec Name or Url: 
http://www.auroralinux.org/people/spot/review/Maypole/perl-Class-DBI-mysql.spec

SRPM Name or Url:
http://www.auroralinux.org/people/spot/review/Maypole/perl-Class-DBI-mysql-0.23-2.src.rpm

Description: 

Extensions to Class::DBI for MySQL

(NOTE: This package is one of the Maypole dependencies)
Comment 1 Paul Howarth 2005-09-02 06:00:15 EDT
Review:

- rpmlint clean
- package and spec file naming OK
- package meets guidelines
- license is same as perl, matches spec
- spec written in English and is legible
- source matches upstream
- package builds OK in mock on FC4 (i386)
- BR's mostly OK
- no locales, libraries, subpackages or pkgconfigs to worry about
- not relocatable
- no directory ownership or permissions issues
- no duplicate files
- %clean section present and correct
- macro usage is consistent
- code, not content
- no large docs
- docs don't affect runtime
- no scriptlets

Needswork:

- redundant BR: perl
- license text not included
- BR: perl(DBD::mysql) needed; I suspect that this may also be needed as a
  manual Requires:, as might perl(DBD::SQLite) for the SQLite equivalent of
  this module, but I don't know enough to confirm this

Suggestions:

- the module tries to use Time::Piece::MySQL if it's available; since this
  module is available in Extras, it might be useful to include this as a
  manual dependency
- use %{?_smp_mflags}

Comment 2 Paul Howarth 2005-09-02 06:03:17 EDT
Created attachment 118383 [details]
Patch addressing review issues
Comment 4 Paul Howarth 2005-09-05 05:35:10 EDT
Approved.

Note You need to log in before you can comment on or make changes to this bug.